Table of Contents

Class Diff_PositionVoltage_Open

Namespace
CTRE.Phoenix6.Controls.Compound
Assembly
Phoenix6.Hardware.dll

Requires Phoenix Pro and CANivore; Differential control with position average target and voltage difference target.

public sealed class Diff_PositionVoltage_Open : ControlRequest, ICloneable
Inheritance
Diff_PositionVoltage_Open
Implements
Inherited Members

Constructors

Diff_PositionVoltage_Open(PositionVoltage, VoltageOut)

Requires Phoenix Pro and CANivore; Differential control with position average target and voltage difference target.

Average PositionVoltage request of the mechanism. Differential VoltageOut request of the mechanism.
public Diff_PositionVoltage_Open(PositionVoltage AverageRequest, VoltageOut DifferentialRequest)

Parameters

AverageRequest PositionVoltage
DifferentialRequest VoltageOut

Fields

AverageRequest

Average PositionVoltage request of the mechanism.

public PositionVoltage AverageRequest

Field Value

PositionVoltage

DifferentialRequest

Differential VoltageOut request of the mechanism.

public VoltageOut DifferentialRequest

Field Value

VoltageOut

UpdateFreqHz

The frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.

If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.
public double UpdateFreqHz

Field Value

double

Properties

Name

Name of this control request.

public string Name { get; }

Property Value

string

Methods

Clone()

Creates a copy of this control request.

public Diff_PositionVoltage_Open Clone()

Returns

Diff_PositionVoltage_Open

GetControlInfo()

Gets information about this control request.

public Dictionary<string, string> GetControlInfo()

Returns

Dictionary<string, string>

Dictionary of control parameter names and corresponding applied values

SendRequest(string, uint)

Sends this request out over CAN bus to the device for the device to apply.

public StatusCode SendRequest(string network, uint deviceHash)

Parameters

network string

Network to send request over

deviceHash uint

Device to send request to

Returns

StatusCode

Status of the send operation

ToString()

Provides the string representation of this object.

public override string ToString()

Returns

string

WithAverageRequest(PositionVoltage)

Modifies this Control Request's AverageRequest parameter and returns itself for method-chaining and easier to use request API.

Average PositionVoltage request of the mechanism.
public Diff_PositionVoltage_Open WithAverageRequest(PositionVoltage newAverageRequest)

Parameters

newAverageRequest PositionVoltage

Parameter to modify

Returns

Diff_PositionVoltage_Open

Itself

WithDifferentialRequest(VoltageOut)

Modifies this Control Request's DifferentialRequest parameter and returns itself for method-chaining and easier to use request API.

Differential VoltageOut request of the mechanism.
public Diff_PositionVoltage_Open WithDifferentialRequest(VoltageOut newDifferentialRequest)

Parameters

newDifferentialRequest VoltageOut

Parameter to modify

Returns

Diff_PositionVoltage_Open

Itself

WithUpdateFreqHz(double)

Sets the frequency at which this control will update. This is designated in Hertz, with a minimum of 20 Hz (every 50 ms) and a maximum of 1000 Hz (every 1 ms). Some update frequencies are not supported and will be promoted up to the next highest supported frequency.

If this field is set to 0 Hz, the control request will be sent immediately as a one-shot frame. This may be useful for advanced applications that require outputs to be synchronized with data acquisition. In this case, we recommend not exceeding 50 ms between control calls.
public Diff_PositionVoltage_Open WithUpdateFreqHz(double newUpdateFreqHz)

Parameters

newUpdateFreqHz double

Parameter to modify

Returns

Diff_PositionVoltage_Open

Itself